package apng

import (
	"git.kor-elf.net/kor-elf/gui-for-ffmpeg/internal/ffmpeg/encoder"
)

func NewEncoder() encoder.EncoderContract {
	parameters := map[string]encoder.ParameterContract{}
	getParams := func(parameters map[string]encoder.ParameterContract) []string {
		return []string{"-c:v", "apng"}
	}

	return encoder.NewEncoder("apng", parameters, getParams)
}

func NewData() encoder.EncoderDataContract {
	title := "apng"
	formats := []string{"apng"}
	fileType := encoder.FileType(encoder.Image)
	return encoder.NewData(title, formats, fileType, NewEncoder)
}
