package gif

import (
	"git.kor-elf.net/kor-elf/gui-for-ffmpeg/internal/ffmpeg/encoder"
)

func NewEncoder() encoder.EncoderContract {
	parameters := map[string]encoder.ParameterContract{}
	getParams := func(parameters map[string]encoder.ParameterContract) []string {
		return []string{"-c:v", "gif"}
	}

	return encoder.NewEncoder("gif", parameters, getParams)
}

func NewData() encoder.EncoderDataContract {
	title := "gif"
	formats := []string{"gif"}
	fileType := encoder.FileType(encoder.Image)
	return encoder.NewData(title, formats, fileType, NewEncoder)
}
