package msvideo1

import (
	"git.kor-elf.net/kor-elf/gui-for-ffmpeg/internal/ffmpeg/encoder"
)

func NewEncoder() encoder.EncoderContract {
	parameters := map[string]encoder.ParameterContract{}
	getParams := func(parameters map[string]encoder.ParameterContract) []string {
		return []string{"-c:v", "msvideo1"}
	}

	return encoder.NewEncoder("msvideo1", parameters, getParams)
}

func NewData() encoder.EncoderDataContract {
	title := "msvideo1"
	formats := []string{"avi"}
	fileType := encoder.FileType(encoder.Video)
	return encoder.NewData(title, formats, fileType, NewEncoder)
}
